import request from "../../service/request"; // 查询订单状态

function payDetail(data) {
	return request.post("/miniProRequest.pay.payDetail", data);
}

/**
 * 获取医保缴费字段
 * @param  {object} obj
 */
function getYbParams(obj) {
	return new Promise((resolve) => {
		if (!obj || !obj.insUploadFeeResp) {
			resolve({});
		}
		const list = obj.insUploadFeeResp.split(":");
		const params = {};

		// 总额：feeSumamt
		// 医保支付：fundPay
		// 个人支付：psnAcctPay
		// 现金支付：ownPayAmt
		console.log("list ==>", list);

		list.map((i, index) => {
			if (i.includes("feeSumamt")) {
				console.log("iiiii ==>", i);
				let innerList = i.split(",");
				console.log("innerList ==>", innerList);
				let value = "";
				if (innerList[0].includes("feeSumamt")) {
					value = innerList[1];
				} else {
					value = list[index + 1].split(",")[0];
				}
				console.log("value ===>", value);
				params.feeSumamt = value
					.replaceAll('"', "")
					.replaceAll("'", "")
					.replaceAll("}", "")
					.replaceAll("{", "")
					.replaceAll("\\", "");
				console.log("params.feeSumamt", params.feeSumamt);
			}

			if (i.includes("fundPay")) {
				console.log("iiiii ==>", i);
				let innerList = i.split(",");
				let value = "";
				if (innerList[0].includes("fundPay")) {
					value = innerList[1];
				} else {
					value = list[index + 1].split(",")[0];
				}
				params.fundPay = value
					.replaceAll('"', "")
					.replaceAll("}", "")
					.replaceAll("{", "")
					.replaceAll("\\", "");
			}

			if (i.includes("ownPayAmt")) {
				console.log("iiiii ==>", i);
				let innerList = i.split(",");
				let value = "";
				if (innerList[0].includes("ownPayAmt")) {
					value = innerList[1];
				} else {
					value = list[index + 1].split(",")[0];
				}
				params.ownPayAmt = value
					.replaceAll('"', "")
					.replaceAll("}", "")
					.replaceAll("{", "")
					.replaceAll("\\", "");
			}

			if (i.includes("psnAcctPay")) {
				console.log("iiiii ==>", i);
				let innerList = i.split(",");
				let value = "";
				if (innerList[0].includes("psnAcctPay")) {
					value = innerList[1];
				} else {
					value = list[index + 1].split(",")[0];
				}
				params.psnAcctPay = value
					.replaceAll('"', "")
					.replaceAll("}", "")
					.replaceAll("{", "")
					.replaceAll("\\", "");
			}
		});
		console.log("params ==>", params);
		resolve(params);
	});
}

function generateRandomFourDigitNumber() {
	return Math.floor(Math.random() * (9999 - 1000 + 1)) + 1000;
}

export default {
	payDetail,
	getYbParams,
	generateRandomFourDigitNumber,
};
