import request from '../../service/request'; // 查询订单状态

function payDetail(data) {
  return request.post('/miniProRequest.pay.payDetail', data);
}

// 如果路由参数中包含%，则decode时会报错；需要先把 % 替换成 %25
function percent2percent25(URI) {
  if (URI.indexOf("%") > -1) {
    return URI.replace(/%/g, "%25");
  } else {
    return URI;
  }
}

export default {
  payDetail,
  percent2percent25
};